<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="cy__mcwdt_8c" kind="file" language="C++">
    <compoundname>cy_mcwdt.c</compoundname>
    <includes local="yes" refid="cy__mcwdt_8h">cy_mcwdt.h</includes>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__group__mcwdt__functions_1gab8bd6fb7ec48ef294287c01e179c41df" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__mcwdt__enums_1gac983f45895a641f98b9b887e453a8a5d">cy_en_mcwdt_status_t</ref></type>
        <definition>cy_en_mcwdt_status_t Cy_MCWDT_Init</definition>
        <argsstring>(MCWDT_STRUCT_Type *base, cy_stc_mcwdt_config_t const *config)</argsstring>
        <name>Cy_MCWDT_Init</name>
        <param>
          <type><ref kindref="compound" refid="struct_m_c_w_d_t___s_t_r_u_c_t___type">MCWDT_STRUCT_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__mcwdt__config__t">cy_stc_mcwdt_config_t</ref> const *</type>
          <declname>config</declname>
        </param>
        <briefdescription>
<para>Initializes the MCWDT block. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The base pointer to a structure that describes the registers.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>config</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to a structure that contains component configuration data.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>cy_en_mcwdt_status_t *base checking result. If the pointer is NULL, returns error.</para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;This API should not be called when the counters are running. Prior to calling this API the counter should be disabled. &lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="82" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_mcwdt.c" bodystart="53" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_mcwdt.c" line="53" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__mcwdt__functions_1gacfa316d17f65aea2cf6ae6f078453549" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_MCWDT_DeInit</definition>
        <argsstring>(MCWDT_STRUCT_Type *base)</argsstring>
        <name>Cy_MCWDT_DeInit</name>
        <param>
          <type><ref kindref="compound" refid="struct_m_c_w_d_t___s_t_r_u_c_t___type">MCWDT_STRUCT_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <briefdescription>
<para>De-initializes the MCWDT block, returns register values to their default state. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The base pointer to a structure that describes the registers.</para></parameterdescription>
</parameteritem>
</parameterlist>
<verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;This API should not be called when the counters are running. Prior to calling this API the counter should be disabled. &lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="111" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_mcwdt.c" bodystart="99" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_mcwdt.c" line="99" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__mcwdt__functions_1ga2c7f8cc4f0897618bb6c4b3389357086" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>uint32_t</type>
        <definition>uint32_t Cy_MCWDT_GetCountCascaded</definition>
        <argsstring>(MCWDT_STRUCT_Type const *base)</argsstring>
        <name>Cy_MCWDT_GetCountCascaded</name>
        <param>
          <type><ref kindref="compound" refid="struct_m_c_w_d_t___s_t_r_u_c_t___type">MCWDT_STRUCT_Type</ref> const *</type>
          <declname>base</declname>
        </param>
        <briefdescription>
<para>Reports the current value of combined C1-C0 cascaded counters. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The base pointer to a structure that describes the registers.</para></parameterdescription>
</parameteritem>
</parameterlist>
<verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;The user must enable both counters, and cascade C0 to C1, before calling this function. C2 is not reported. Instead, to get a 64-bit C2-C1-C0 cascaded value, the user must call this function followed by Cy_MCWDT_GetCount(base, CY_MCWDT_COUNTER2), and then combine the results. &lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;This function does not return the correct result when it is called after the &lt;a href="group__group__mcwdt__functions.html#group__group__mcwdt__functions_1ga90f8d4636fc67fc8abe3bfd87ab521ac"&gt;Cy_MCWDT_Enable()&lt;/a&gt; or &lt;a href="group__group__mcwdt__functions.html#group__group__mcwdt__functions_1gac33b66c4254ceb468ecc48098b00e8c1"&gt;Cy_MCWDT_ResetCounters()&lt;/a&gt; function with a delay less than two lf_clk cycles. The recommended waitUs parameter value is 100 us.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><simplesect kind="return"><para>The value of combined C1-C0 cascaded counters. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="205" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_mcwdt.c" bodystart="137" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_mcwdt.c" line="137" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
<para><simplesect kind="version"><para>1.30.1</para></simplesect>
Description: Provides a system API for the MCWDT driver.</para><para>Copyright 2016-2020 Cypress Semiconductor Corporation SPDX-License-Identifier: Apache-2.0</para><para>Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at <verbatim>http://www.apache.org/licenses/LICENSE-2.0
</verbatim></para><para>Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. </para>    </detaileddescription>
    <programlisting>
<codeline lineno="1"><highlight class="comment">/***************************************************************************/</highlight></codeline>
<codeline lineno="25"><highlight class="preprocessor">#include<sp />"cy_mcwdt.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="26"><highlight class="normal" /></codeline>
<codeline lineno="27"><highlight class="normal" /><highlight class="preprocessor">#ifdef<sp />CY_IP_MXS40SRSS_MCWDT</highlight><highlight class="normal" /></codeline>
<codeline lineno="28"><highlight class="normal" /></codeline>
<codeline lineno="29"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(__cplusplus)</highlight><highlight class="normal" /></codeline>
<codeline lineno="30"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp /></highlight><highlight class="stringliteral">"C"</highlight><highlight class="normal"><sp />{</highlight></codeline>
<codeline lineno="31"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="32"><highlight class="normal" /></codeline>
<codeline lineno="33"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="34"><highlight class="comment">*<sp />Function<sp />Name:<sp />Cy_MCWDT_Init</highlight></codeline>
<codeline lineno="35"><highlight class="comment">****************************************************************************/</highlight></codeline>
<codeline lineno="53"><highlight class="normal"><ref kindref="member" refid="group__group__mcwdt__enums_1gac983f45895a641f98b9b887e453a8a5d">cy_en_mcwdt_status_t</ref><sp /><ref kindref="member" refid="group__group__mcwdt__functions_1gab8bd6fb7ec48ef294287c01e179c41df">Cy_MCWDT_Init</ref>(<ref kindref="compound" refid="struct_m_c_w_d_t___s_t_r_u_c_t___type">MCWDT_STRUCT_Type</ref><sp />*base,<sp /><ref kindref="compound" refid="structcy__stc__mcwdt__config__t">cy_stc_mcwdt_config_t</ref><sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp />*config)</highlight></codeline>
<codeline lineno="54"><highlight class="normal">{</highlight></codeline>
<codeline lineno="55"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__mcwdt__enums_1gac983f45895a641f98b9b887e453a8a5d">cy_en_mcwdt_status_t</ref><sp />ret<sp />=<sp /><ref kindref="member" refid="group__group__mcwdt__enums_1ggac983f45895a641f98b9b887e453a8a5daaed53ccf1629be662b6537d1d4558cb2">CY_MCWDT_BAD_PARAM</ref>;</highlight></codeline>
<codeline lineno="56"><highlight class="normal" /></codeline>
<codeline lineno="57"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />((base<sp />!=<sp />NULL)<sp />&amp;&amp;<sp />(config<sp />!=<sp />NULL))</highlight></codeline>
<codeline lineno="58"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="59"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__syslib__macros__assert_1gae6c8c534d15ba72d74dc23b384a28bf0">CY_ASSERT_L2</ref>(CY_MCWDT_IS_MATCH_VALID(config-&gt;<ref kindref="member" refid="structcy__stc__mcwdt__config__t_1a168d84879f11013356318556afdb59d7">c0ClearOnMatch</ref>,<sp />config-&gt;<ref kindref="member" refid="structcy__stc__mcwdt__config__t_1a8a85bf2e1ee7c1e0b65b993f9876644a">c0Match</ref>));</highlight></codeline>
<codeline lineno="60"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__syslib__macros__assert_1gae6c8c534d15ba72d74dc23b384a28bf0">CY_ASSERT_L2</ref>(CY_MCWDT_IS_MATCH_VALID(config-&gt;<ref kindref="member" refid="structcy__stc__mcwdt__config__t_1a2cca6a888c40b03f36f771bcf056e270">c1ClearOnMatch</ref>,<sp />config-&gt;<ref kindref="member" refid="structcy__stc__mcwdt__config__t_1a234579432bb8b17eaeb26ebd721c805f">c1Match</ref>));</highlight></codeline>
<codeline lineno="61"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__syslib__macros__assert_1gae6c8c534d15ba72d74dc23b384a28bf0">CY_ASSERT_L2</ref>(CY_MCWDT_IS_BIT_VALID(config-&gt;<ref kindref="member" refid="structcy__stc__mcwdt__config__t_1ae430f8011ed0ccdd4eb03ff0dcc2529c">c2ToggleBit</ref>));</highlight></codeline>
<codeline lineno="62"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__syslib__macros__assert_1gaea99c6824b32df70dbeb97d87d5410a1">CY_ASSERT_L3</ref>(CY_MCWDT_IS_MODE_VALID((<ref kindref="member" refid="group__group__mcwdt__enums_1gaa3ab9dd24dfec93a9982f06b5d7f0221">cy_en_mcwdtmode_t</ref>)config-&gt;<ref kindref="member" refid="structcy__stc__mcwdt__config__t_1a44bcef8c88b0366d1d96b6bd1823e84e">c0Mode</ref>));</highlight></codeline>
<codeline lineno="63"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__syslib__macros__assert_1gaea99c6824b32df70dbeb97d87d5410a1">CY_ASSERT_L3</ref>(CY_MCWDT_IS_MODE_VALID((<ref kindref="member" refid="group__group__mcwdt__enums_1gaa3ab9dd24dfec93a9982f06b5d7f0221">cy_en_mcwdtmode_t</ref>)config-&gt;<ref kindref="member" refid="structcy__stc__mcwdt__config__t_1a6b2d8aa3a52874c6941e27ef880b9ead">c1Mode</ref>));</highlight></codeline>
<codeline lineno="64"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__syslib__macros__assert_1gaea99c6824b32df70dbeb97d87d5410a1">CY_ASSERT_L3</ref>(CY_MCWDT_IS_MODE_VALID((<ref kindref="member" refid="group__group__mcwdt__enums_1gaa3ab9dd24dfec93a9982f06b5d7f0221">cy_en_mcwdtmode_t</ref>)config-&gt;<ref kindref="member" refid="structcy__stc__mcwdt__config__t_1a87441d235211ab6805a649c755382b0c">c2Mode</ref>));</highlight></codeline>
<codeline lineno="65"><highlight class="normal" /></codeline>
<codeline lineno="66"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />MCWDT_STRUCT_MCWDT_MATCH(base)<sp />=<sp />_VAL2FLD(MCWDT_STRUCT_MCWDT_MATCH_WDT_MATCH1,<sp />config-&gt;<ref kindref="member" refid="structcy__stc__mcwdt__config__t_1a234579432bb8b17eaeb26ebd721c805f">c1Match</ref>)<sp />|</highlight></codeline>
<codeline lineno="67"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />_VAL2FLD(MCWDT_STRUCT_MCWDT_MATCH_WDT_MATCH0,<sp />config-&gt;<ref kindref="member" refid="structcy__stc__mcwdt__config__t_1a8a85bf2e1ee7c1e0b65b993f9876644a">c0Match</ref>);</highlight></codeline>
<codeline lineno="68"><highlight class="normal" /></codeline>
<codeline lineno="69"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />MCWDT_STRUCT_MCWDT_CONFIG(base)<sp />=<sp />_VAL2FLD(MCWDT_STRUCT_MCWDT_CONFIG_WDT_BITS2,<sp />config-&gt;<ref kindref="member" refid="structcy__stc__mcwdt__config__t_1ae430f8011ed0ccdd4eb03ff0dcc2529c">c2ToggleBit</ref>)<sp /><sp /><sp /><sp /><sp /><sp />|</highlight></codeline>
<codeline lineno="70"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />_VAL2FLD(MCWDT_STRUCT_MCWDT_CONFIG_WDT_MODE2,<sp />config-&gt;<ref kindref="member" refid="structcy__stc__mcwdt__config__t_1a87441d235211ab6805a649c755382b0c">c2Mode</ref>)<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />|</highlight></codeline>
<codeline lineno="71"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />_VAL2FLD(MCWDT_STRUCT_MCWDT_CONFIG_WDT_CLEAR0,<sp />config-&gt;<ref kindref="member" refid="structcy__stc__mcwdt__config__t_1a168d84879f11013356318556afdb59d7">c0ClearOnMatch</ref>)<sp /><sp /><sp /><sp /><sp />|</highlight></codeline>
<codeline lineno="72"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />_VAL2FLD(MCWDT_STRUCT_MCWDT_CONFIG_WDT_CLEAR1,<sp />config-&gt;<ref kindref="member" refid="structcy__stc__mcwdt__config__t_1a2cca6a888c40b03f36f771bcf056e270">c1ClearOnMatch</ref>)<sp /><sp /><sp /><sp /><sp />|</highlight></codeline>
<codeline lineno="73"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(config-&gt;<ref kindref="member" refid="structcy__stc__mcwdt__config__t_1adfdf759ca33d5bdec9cc21a4d9fa23bb">c1c2Cascade</ref><sp />?<sp />MCWDT_STRUCT_MCWDT_CONFIG_WDT_CASCADE1_2_Msk<sp />:<sp />0UL)<sp />|</highlight></codeline>
<codeline lineno="74"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />_VAL2FLD(MCWDT_STRUCT_MCWDT_CONFIG_WDT_MODE1,<sp />config-&gt;<ref kindref="member" refid="structcy__stc__mcwdt__config__t_1a6b2d8aa3a52874c6941e27ef880b9ead">c1Mode</ref>)<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />|</highlight></codeline>
<codeline lineno="75"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(config-&gt;<ref kindref="member" refid="structcy__stc__mcwdt__config__t_1a95fb64fa85b7dabfb6b0f70ab81a6b0e">c0c1Cascade</ref><sp />?<sp />MCWDT_STRUCT_MCWDT_CONFIG_WDT_CASCADE0_1_Msk<sp />:<sp />0UL)<sp />|</highlight></codeline>
<codeline lineno="76"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />_VAL2FLD(MCWDT_STRUCT_MCWDT_CONFIG_WDT_MODE0,<sp />config-&gt;<ref kindref="member" refid="structcy__stc__mcwdt__config__t_1a44bcef8c88b0366d1d96b6bd1823e84e">c0Mode</ref>);</highlight></codeline>
<codeline lineno="77"><highlight class="normal" /></codeline>
<codeline lineno="78"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />ret<sp />=<sp /><ref kindref="member" refid="group__group__mcwdt__enums_1ggac983f45895a641f98b9b887e453a8a5dad10c3bbc046c2ce5cf5e17f690e46d2f">CY_MCWDT_SUCCESS</ref>;</highlight></codeline>
<codeline lineno="79"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="80"><highlight class="normal" /></codeline>
<codeline lineno="81"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />(ret);</highlight></codeline>
<codeline lineno="82"><highlight class="normal">}</highlight></codeline>
<codeline lineno="83"><highlight class="normal" /></codeline>
<codeline lineno="84"><highlight class="normal" /></codeline>
<codeline lineno="85"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="86"><highlight class="comment">*<sp />Function<sp />Name:<sp />Cy_MCWDT_DeInit</highlight></codeline>
<codeline lineno="87"><highlight class="comment">****************************************************************************/</highlight></codeline>
<codeline lineno="99"><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__mcwdt__functions_1gacfa316d17f65aea2cf6ae6f078453549">Cy_MCWDT_DeInit</ref>(<ref kindref="compound" refid="struct_m_c_w_d_t___s_t_r_u_c_t___type">MCWDT_STRUCT_Type</ref><sp />*base)</highlight></codeline>
<codeline lineno="100"><highlight class="normal">{</highlight></codeline>
<codeline lineno="101"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__mcwdt__functions_1ga1433c7f1fc62caf1c7697b0e2f20fef0">Cy_MCWDT_Unlock</ref>(base);</highlight></codeline>
<codeline lineno="102"><highlight class="normal" /></codeline>
<codeline lineno="103"><highlight class="normal"><sp /><sp /><sp /><sp />MCWDT_STRUCT_MCWDT_CNTLOW(base)<sp /><sp /><sp /><sp />=<sp />0UL;</highlight></codeline>
<codeline lineno="104"><highlight class="normal"><sp /><sp /><sp /><sp />MCWDT_STRUCT_MCWDT_CNTHIGH(base)<sp /><sp /><sp />=<sp />0UL;</highlight></codeline>
<codeline lineno="105"><highlight class="normal"><sp /><sp /><sp /><sp />MCWDT_STRUCT_MCWDT_MATCH(base)<sp /><sp /><sp /><sp /><sp />=<sp />0UL;</highlight></codeline>
<codeline lineno="106"><highlight class="normal"><sp /><sp /><sp /><sp />MCWDT_STRUCT_MCWDT_CONFIG(base)<sp /><sp /><sp /><sp />=<sp />0UL;</highlight></codeline>
<codeline lineno="107"><highlight class="normal"><sp /><sp /><sp /><sp />MCWDT_STRUCT_MCWDT_CTL(base)<sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />0UL;</highlight></codeline>
<codeline lineno="108"><highlight class="normal"><sp /><sp /><sp /><sp />MCWDT_STRUCT_MCWDT_INTR(base)<sp /><sp /><sp /><sp /><sp /><sp />=<sp />0UL;</highlight></codeline>
<codeline lineno="109"><highlight class="normal"><sp /><sp /><sp /><sp />MCWDT_STRUCT_MCWDT_INTR_SET(base)<sp /><sp />=<sp />0UL;</highlight></codeline>
<codeline lineno="110"><highlight class="normal"><sp /><sp /><sp /><sp />MCWDT_STRUCT_MCWDT_INTR_MASK(base)<sp />=<sp />0UL;</highlight></codeline>
<codeline lineno="111"><highlight class="normal">}</highlight></codeline>
<codeline lineno="112"><highlight class="normal" /></codeline>
<codeline lineno="113"><highlight class="normal" /></codeline>
<codeline lineno="114"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="115"><highlight class="comment">*<sp />Function<sp />Name:<sp />Cy_MCWDT_GetCountCascaded</highlight></codeline>
<codeline lineno="116"><highlight class="comment">****************************************************************************/</highlight></codeline>
<codeline lineno="137"><highlight class="normal">uint32_t<sp /><ref kindref="member" refid="group__group__mcwdt__functions_1ga2c7f8cc4f0897618bb6c4b3389357086">Cy_MCWDT_GetCountCascaded</ref>(<ref kindref="compound" refid="struct_m_c_w_d_t___s_t_r_u_c_t___type">MCWDT_STRUCT_Type</ref><sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp />*base)</highlight></codeline>
<codeline lineno="138"><highlight class="normal">{</highlight></codeline>
<codeline lineno="139"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />countVal<sp />=<sp />MCWDT_STRUCT_MCWDT_CNTLOW(base);</highlight></codeline>
<codeline lineno="140"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />counter1<sp />=<sp />countVal<sp />&gt;&gt;<sp />MCWDT_STRUCT_MCWDT_CNTLOW_WDT_CTR1_Pos;</highlight></codeline>
<codeline lineno="141"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />counter0<sp />=<sp />countVal<sp />&amp;<sp />MCWDT_STRUCT_MCWDT_CNTLOW_WDT_CTR0_Msk;</highlight></codeline>
<codeline lineno="142"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />match0<sp />=<sp />_FLD2VAL(MCWDT_STRUCT_MCWDT_MATCH_WDT_MATCH0,<sp />MCWDT_STRUCT_MCWDT_MATCH(base));</highlight></codeline>
<codeline lineno="143"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />match1<sp />=<sp />_FLD2VAL(MCWDT_STRUCT_MCWDT_MATCH_WDT_MATCH1,<sp />MCWDT_STRUCT_MCWDT_MATCH(base));</highlight></codeline>
<codeline lineno="144"><highlight class="normal" /></codeline>
<codeline lineno="145"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*</highlight></codeline>
<codeline lineno="146"><highlight class="comment"><sp /><sp /><sp /><sp /><sp />*<sp />The<sp />counter<sp /><sp />counter0<sp />goes<sp />to<sp />zero<sp />when<sp />it<sp />reaches<sp />the<sp />match0</highlight></codeline>
<codeline lineno="147"><highlight class="comment"><sp /><sp /><sp /><sp /><sp />*<sp />value<sp />(c0ClearOnMatch<sp />=<sp />1)<sp />or<sp />reaches<sp />the<sp />maximum</highlight></codeline>
<codeline lineno="148"><highlight class="comment"><sp /><sp /><sp /><sp /><sp />*<sp />value<sp />(c0ClearOnMatch<sp />=<sp />0).<sp />The<sp />counter<sp />counter1<sp />increments<sp />on</highlight></codeline>
<codeline lineno="149"><highlight class="comment"><sp /><sp /><sp /><sp /><sp />*<sp />the<sp />next<sp />rising<sp />edge<sp />of<sp />the<sp />MCWDT<sp />clock<sp />after</highlight></codeline>
<codeline lineno="150"><highlight class="comment"><sp /><sp /><sp /><sp /><sp />*<sp />the<sp />Clear<sp />On<sp />Match<sp />event<sp />takes<sp />place.</highlight></codeline>
<codeline lineno="151"><highlight class="comment"><sp /><sp /><sp /><sp /><sp />*<sp />The<sp />software<sp />increments<sp />counter1<sp />to<sp />eliminate<sp />the<sp />case</highlight></codeline>
<codeline lineno="152"><highlight class="comment"><sp /><sp /><sp /><sp /><sp />*<sp />when<sp />the<sp />both<sp />counter0<sp />and<sp />counter1<sp />counters<sp />have<sp />zeros.</highlight></codeline>
<codeline lineno="153"><highlight class="comment"><sp /><sp /><sp /><sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="154"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(0UL<sp />==<sp />counter0)</highlight></codeline>
<codeline lineno="155"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="156"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />counter1++;</highlight></codeline>
<codeline lineno="157"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="158"><highlight class="normal" /></codeline>
<codeline lineno="159"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Check<sp />if<sp />the<sp />counter0<sp />is<sp />Free<sp />running<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="160"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(0UL<sp />==<sp />_FLD2VAL(MCWDT_STRUCT_MCWDT_CONFIG_WDT_CLEAR0,<sp />MCWDT_STRUCT_MCWDT_CONFIG(base)))</highlight></codeline>
<codeline lineno="161"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="162"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Save<sp />match0<sp />value<sp />with<sp />the<sp />correction<sp />when<sp />counter0</highlight></codeline>
<codeline lineno="163"><highlight class="comment"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />*<sp /><sp />goes<sp />to<sp />zero<sp />when<sp />it<sp />reaches<sp />the<sp />match0<sp />value.</highlight></codeline>
<codeline lineno="164"><highlight class="comment"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="165"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />countVal<sp />=<sp />match0<sp />+<sp />1UL;</highlight></codeline>
<codeline lineno="166"><highlight class="normal" /></codeline>
<codeline lineno="167"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(0UL<sp />!=<sp />counter1)</highlight></codeline>
<codeline lineno="168"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="169"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Set<sp />match<sp />to<sp />the<sp />maximum<sp />value<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="170"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />match0<sp />=<sp />MCWDT_STRUCT_MCWDT_CNTLOW_WDT_CTR0_Msk;</highlight></codeline>
<codeline lineno="171"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="172"><highlight class="normal" /></codeline>
<codeline lineno="173"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(countVal<sp />&lt;<sp />counter0)</highlight></codeline>
<codeline lineno="174"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="175"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Decrement<sp />counter1<sp />when<sp />the<sp />counter0<sp />is<sp />great<sp />than<sp />match0<sp />value<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="176"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />counter1--;</highlight></codeline>
<codeline lineno="177"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="178"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="179"><highlight class="normal" /></codeline>
<codeline lineno="180"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Add<sp />the<sp />correction<sp />to<sp />counter0<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="181"><highlight class="normal"><sp /><sp /><sp /><sp />counter0<sp />+=<sp />counter1;</highlight></codeline>
<codeline lineno="182"><highlight class="normal" /></codeline>
<codeline lineno="183"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Set<sp />counter1<sp />match<sp />value<sp />to<sp />65535<sp />when<sp />the<sp />counter1<sp />is<sp />free<sp />running<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="184"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(0UL<sp />==<sp />_FLD2VAL(MCWDT_STRUCT_MCWDT_CONFIG_WDT_CLEAR1,<sp />MCWDT_STRUCT_MCWDT_CONFIG(base)))</highlight></codeline>
<codeline lineno="185"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="186"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />match1<sp />=<sp />MCWDT_STRUCT_MCWDT_CNTLOW_WDT_CTR1_Msk<sp />&gt;&gt;<sp />MCWDT_STRUCT_MCWDT_CNTLOW_WDT_CTR1_Pos;</highlight></codeline>
<codeline lineno="187"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="188"><highlight class="normal" /></codeline>
<codeline lineno="189"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Check<sp />for<sp />overflow<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="190"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(match1<sp />&lt;<sp />counter1)</highlight></codeline>
<codeline lineno="191"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="192"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Reset<sp />counter0<sp />to<sp />disable<sp />the<sp />added<sp />correction<sp />of<sp />the<sp />counter1<sp />value<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="193"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />counter0<sp />=<sp />0UL;</highlight></codeline>
<codeline lineno="194"><highlight class="normal" /></codeline>
<codeline lineno="195"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Reset<sp />counter1<sp />to<sp />prevent<sp />the<sp />wrong<sp />cascaded<sp />value<sp />calculation</highlight></codeline>
<codeline lineno="196"><highlight class="comment"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />*<sp />because<sp />counter1<sp />is<sp />updated<sp />only<sp />on<sp />the<sp />following<sp />clock<sp />edge<sp />after<sp />clearing<sp />counter0</highlight></codeline>
<codeline lineno="197"><highlight class="comment"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="198"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />counter1<sp />=<sp />0UL;</highlight></codeline>
<codeline lineno="199"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="200"><highlight class="normal" /></codeline>
<codeline lineno="201"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Calculate<sp />the<sp />combined<sp />value<sp />for<sp />C1-C0<sp />cascaded<sp />counters<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="202"><highlight class="normal"><sp /><sp /><sp /><sp />countVal<sp />=<sp />counter0<sp />+<sp />(counter1<sp />*<sp />match0);</highlight></codeline>
<codeline lineno="203"><highlight class="normal" /></codeline>
<codeline lineno="204"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />(countVal);</highlight></codeline>
<codeline lineno="205"><highlight class="normal">}</highlight></codeline>
<codeline lineno="206"><highlight class="normal" /></codeline>
<codeline lineno="207"><highlight class="normal" /></codeline>
<codeline lineno="208"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(__cplusplus)</highlight><highlight class="normal" /></codeline>
<codeline lineno="209"><highlight class="normal">}</highlight></codeline>
<codeline lineno="210"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="211"><highlight class="normal" /></codeline>
<codeline lineno="212"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />CY_IP_MXS40SRSS_MCWDT<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="213"><highlight class="normal" /></codeline>
<codeline lineno="214"><highlight class="normal" /><highlight class="comment">/*<sp />[]<sp />END<sp />OF<sp />FILE<sp />*/</highlight><highlight class="normal" /></codeline>
    </programlisting>
    <location file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_mcwdt.c" />
  </compounddef>
</doxygen>